<template>
    <div class="column q-pa-md q-gutter-md">
        <div class="row items-center q-gutter-md">
            <div>
                <h5 class="q-ma-none">{{ module.Module_Name.replace(/_/g, ' ') }}</h5>
            </div>
            <div>
                <q-btn color="green" label="Create Money Receipt" @click="form.open = true" />
            </div>
        </div>
        <b-table class="full-width" :module="module" table-name="Money_Receipt"></b-table>
        <b-form-dialog size="size-8" ref="formDialog" v-model="form.open">
            <module-form ref="form" @mounted="$refs.formDialog.formLoaded($refs.form.$el)"></module-form>
        </b-form-dialog>
    </div>
</template>

<script>
export default {
    props: ['module'],
    components: {
        bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
        moduleForm: Vue.defineAsyncComponent(() => import(`components/modules/Money_Receipt/form.vue`)),
        bFormDialog: Vue.defineAsyncComponent(() => import(`components/widgets/b-form-dialog.vue`))
    },
    data() {
        return {
            form: {
                open: false,
                data: {}
            }
        }
    },

}
</script>
